cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/instagram-user-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/instagram-user-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/instagram-user-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1755785276716x970846411068844200",
"userID": "17841400005463628",
"username": "therock",
"platform": "instagram",
"url": "https://instagram.com/therock",
"name": "Dwayne Johnson",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/INST:17841400005463628?time=1755784592",
"description": "givin’ it some thought",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "influencer",
"gender": "m",
"age": "45_100",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 392700476,
"avgLikes": 600796,
"avgComments": 9593,
"avgER": 0.00155338417157203,
"avgInteractions": 610390,
"avgViews": 0,
"ratingIndex": 392722979.833373,
"qualityScore": 0.57763642444493
},
"lastUpdatedISO": "2025-08-21T14:07:55.309Z",
"lastUpdated": "21-08-2025"
}
Profile & Posts
User Account🔑
Get Instagram user details
GET
/
wf
/
instagram-user-account
cURL
This endpoint returns the masterID, a unique identifier for each social account we track. It is required for other endpoints, so be sure to store it in your database for reuse.
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1755785276716x970846411068844200",
"userID": "17841400005463628",
"username": "therock",
"platform": "instagram",
"url": "https://instagram.com/therock",
"name": "Dwayne Johnson",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/INST:17841400005463628?time=1755784592",
"description": "givin’ it some thought",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "influencer",
"gender": "m",
"age": "45_100",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": true
},
"stats": {
"followersCount": 392700476,
"avgLikes": 600796,
"avgComments": 9593,
"avgER": 0.00155338417157203,
"avgInteractions": 610390,
"avgViews": 0,
"ratingIndex": 392722979.833373,
"qualityScore": 0.57763642444493
},
"lastUpdatedISO": "2025-08-21T14:07:55.309Z",
"lastUpdated": "21-08-2025"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Profile url. Example: https://instagram.com/therock
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I